<?php include_once 'codebase/hyperframe.php' ?><html>
<head>
   <TITLE></TITLE>
   <META NAME="description"  CONTENT="">
   <META NAME="keywords" CONTENT="">
</head>
<body>
<h1>Extensionless URLs</h1>

<p><strong>Some webmasters prefer URLs to display <em>without</em> extensions such as .htm, .html or .php</strong></p>

<p>There are two ways of achieving this. The method used by most of the mainstream CMS is <em>URL rewriting</em>. Whilst more flexible, this method is problematic in that the rewrite rules may interfere with access to files other than Hyperframe content on the same webspace. We used parametric references and URL rewriting on the earliest inhouse version of Hyperframe, and basically it was a constant source of aggro. We decided that the next version would avoid URL rewriting if at all possible. Hence one of the main reasons for the change to real URLs.</p>

<p>Where real URLs are used to reference pages, as opposed to index.php parameters, by far the simpler method is to enable Multiviews in the .htaccess file. This is achieved by adding +Multiviews to the Options line. For example:</p>

<p><strong><sup><em>.htaccess</em></sup><br />
Options +Multiviews -Indexes</strong></p>

<p>A URL typed without an extension will then be treated as if it were a webpage bearing one of the typical extensions, and the first document of same name and a suitable type in the directory loaded. You could then strip off the extensions from all your menu entries, which would be a huge chore for a long menu... but thankfully a timesaver is included, in the form of the multiviews option in the sitecfg/siteini,php file.</p>

<p><strong><em><sup>sitecfg/siteini,php</sup></em><br />
[menu]<br />
multiviews=1</strong> will cause the menu system to automatically generate extensionless URLs for local files only. Offsite URLs will be unaffected.</p>

<p>When using the menu multiviews option, any menu reference to a local subdirectory rather than a local file must terminate in a /</p>

<p>In fact it is recommended that <em>menu file entries always have the correct extension regardless of the multiviews setting</em>, as you may later wish to move the site to a host which doesn&#39;t support multiviews. If you adhere to this practice, then all you need change is the multiviews option.</p>

<p>The provisos here are that you must not have a same-named subdirectory and page, as there would then be no way of telling whether a URL referred to the same-named page minus its extension, or to the default file (index.html) in the subdirectory Also&nbsp;it would not be wise to use this option if you have same-named php and html files in a directory. However these situations are fairly rare, and on most sites the multiviews option can be activated without issues arising.</p>

</body>
</html>