<?php include_once 'codebase/hyperframe.php' ?><h1>Command Parameters</h1>

<p><strong>Hyperframe supports a number of parameters which can be appended to the page URL, and which cause specific changes to the way in which the page is handled. These can be used in permanent links, but they are typically aimed at developers, as a quick way of testing changes without altering the default setup. </strong></p>

<p><strong>?frame=[frame_name]</strong><br />
This will cause the frame for this page to be loaded from a different subdirectory in the frame collection. As of v3.1 this change is now &#39;sticky&#39; and will last for the current browser session, or until another <em>?frame=</em> parameter is encountered. This overrides the <em>&#39;frame=&#39;</em> setting in siteini.php. Note that by design it cannot override any <em>&#39;hf_frame&#39;</em> meta tag in the page head, therefore some pages may still display with a hardcoded frame setting. A value of &#39;?frame=default&#39; will clear the user frame selection.</p>

<p><strong>?hide=[banner,top,left,content,right,bottom]</strong><br />
The listed page sections, separated by commas, will not be displayed.<br />
Relies on the respective IDs being present in frame.php, eg id=&#39;hf_top&#39;.<br />
&#39;<strong>all</strong>&#39; can be used to display the page <em>on its own without</em> a frame, although with the frame stylesheet still applying.<br />
This change is not sticky. See the Page Head item for how to make these changes permanent.</p>

<p><strong>?menu=top</strong><br />
Overrides the default cascading menu placement, which is normally <em>side</em>. Does not remove the sidebar, but turns the top quicklink menu into a full menu. Normally used in conjunction with <em>&amp;hide=left </em>in testing pages which require full width. Only effective on pages where the principal menu is at the side.&nbsp;</p>

<p><strong>?style=[style]</strong><br />
Presently the only option is <em>?style=print</em> which presents the content only, for printing. May be expanded to allow sylesheet testing.&nbsp;</p>

<p><strong>?noadmin=true</strong><br />
Causes the page to be displayed as if in viewing mode, even if&nbsp; you are in edit mode. Mainly useful when viewing a page in a separate browser tab to see how scripted content will render. No effect in view mode. Effectively similar to pressing the Preview button in the editing toolbar.</p>

<p><strong>?debug=1</strong> (or 2)<br />
Displays various pieces of information about ajax data transfers when in admin mode. Mainly useful for system development.&nbsp; No effect in view mode, or if the user is not a site admin (Privelege 5).&nbsp;</p>

<p><strong>Example of usage:</strong></p>

<p><a href="parameters.php?hide=banner,left&amp;menu=top">&nbsp; parameters.php?hide=banner,left&amp;menu=top</a></p>

<p>&nbsp;</p>
